> ## Documentation Index
> Fetch the complete documentation index at: https://developers.speedvitals.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a device

> Retrieves a device info



## OpenAPI

````yaml api-reference/openapi.json get /v1/devices/{id}
openapi: 3.1.0
info:
  contact:
    email: contact@speedvitals.com
    name: SpeedVitals Dev Team
    url: https://speedvitals.com
  description: >
    The SpeedVitals REST API. Please see
    [https://docs.speedvitals.com/api](https://docs.speedvitals.com/api/) for
    more details.
  termsOfService: https://speedvitals.com/terms-of-use
  title: SpeedVitals API
  version: 0.1.0
servers:
  - url: https://api.speedvitals.com
security:
  - apiKey: []
tags:
  - name: Ping
  - name: Devices
  - name: Locations
  - name: Lighthouse Tests
  - name: Lighthouse Batch Tests
  - name: TTFB Regions
  - name: TTFB Tests
  - name: Account
externalDocs:
  description: Home
  url: https://speedvitals.com
paths:
  /v1/devices/{id}:
    get:
      tags:
        - Devices
      summary: Get a device
      description: Retrieves a device info
      operationId: GetDevice
      parameters:
        - in: path
          name: id
          description: Device id
          required: true
          schema:
            maxLength: 5000
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/device'
              examples:
                default:
                  value:
                    id: macbookAirM1
                    name: MacBook Air (2020)
                    category: desktop
          description: Successful response.
        '404':
          $ref: '#/components/responses/NotFound'
          description: Device not found
      security: []
components:
  schemas:
    device:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/device_id'
        name:
          type: string
          example: MacBook Air (2020)
        category:
          type: string
          example: desktop
          enum:
            - mobile
            - desktop
            - tablet
    device_id:
      type: string
      example: macbookAirM1
      enum:
        - mobile
        - desktop
        - macbookAirM1
        - highEndLaptop
        - ipad102
        - galaxyTabS7
        - iphone13ProMax
        - iphone11
        - galaxyS10Plus
        - redmiNote8Pro
        - iphone7
        - galaxyA50
        - galaxyJ8
        - motoG5
        - redmi5A
  responses:
    NotFound:
      description: Resource Not Found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````